## Create a PHP application without a framework

### Why this tutorial?

I saw a lot of people coming into the stackoverflow PHP chatroom that asked if X framework is any good. Most of the time the answer was that they should just use PHP and not a framework to build their application. But many are overwhelmed by this and don't know where to start.

So my goal with this is to provide an easy resource that people can be pointed to. In most cases a framework does not make sense and writing an application from scratch with the help of some 3rd party packages is much, much easier than some people think.

So let's get started right away with the [first part](1-front-controller.md).

### Parts

1. [Front Controller](1-front-controller.md)
2. [Composer](2-composer.md)
3. [Error Handler](3-error-handler.md)
4. [HTTP](4-http.md)
5. [Router](5-router.md)
6. Dependency Injector